%define major 1
%define minor 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define libnametagc %mklibname %{name}_c %{minor}
%define libold %mklibname %{name} 0
%define libolddev %mklibname %{name} 0 -d

Summary:	Library for reading and editing audio meta data
Name:		taglib
Version:	1.11
Release:	%mkrel 1
License:	LGPLv2+
Group:		File tools
URL:		http://developer.kde.org/~wheeler/taglib.html
Source:		http://developer.kde.org/~wheeler/files/src/%{name}-%{version}.tar.xz
BuildRequires:	zlib-devel
BuildRequires:	cppunit-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
TagLib, is well, a library for reading and editing audio meta data, 
commonly know as tags.
Some goals of TagLib:
A clean, high level, C++ API to handling audio meta data.
Support for at least ID3v1, ID3v2 and Ogg Vorbis comments.
A generic, simple API for the most common tagging related functions.
Binary compatibility between minor releases using the standard KDE/Qt 
techniques for C++ binary compatibility.
Make the tagging framework extensible by library users; i.e. it will be 
possible for libarary users to implement additional ID3v2 frames, 
without modifying the TagLib source.
Because TagLib desires to be toolkit agnostic, in hope of being widely 
adopted and the most flexible in licensing TagLib provides many of its 
own toolkit classes; in fact the only external dependency that TagLib has, 
it a semi-sane STL implementation.

#---------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for reading and editing audio meta data
Obsoletes:	libtaglib0

%description -n %{libname}
Main taglib library.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libtag.so.%{major}*
%{_libdir}/libtag_c.so.%{minor}*

#---------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Libraries
Summary:	Headers and static lib for taglib development
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Install this package if you want do compile applications i
using the libtag library.

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS
%{_bindir}/taglib-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%multiarch %{multiarch_bindir}/taglib-config

#---------------------------------------------------------------------
%files


%prep
%setup -q 

%build
%cmake_kde4 -DWITH_ASF=ON -DWITH_MP4=ON
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%multiarch_binaries %{buildroot}%{_bindir}/taglib-config


%clean
rm -rf %{buildroot}

%changelog
* Wed Nov 09 2016 adrianomorselli <adrianomorselli> 1.11-1uplos2016
- rebuild

* Fri May 20 2016 bb <bb> 1.11-1pclos2016
- update

* Tue Jan 05 2016 bb <bb> 1.10-1pclos2016
- update

* Sat Apr 12 2014 bb <bb> 1.9.1-1pclos2014
- update

* Sat Oct 27 2012 Ken <lxgator at gmail.com> 1.8-1pclos2012
- 1.8

* Tue Sep 21 2010 Texstar <texstar at gmail.com> 1.6.3-1pclos2010
- 1.6.3

